> For a complete page index, fetch https://developer.close.com/llms.txt

# Get a single FormSubmission activity

GET https://api.close.com/api/v1/activity/form_submission/{id}/

Reference: https://developer.close.com/api/resources/activities/form-submissions/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

- `_type` (string, required)
- `activity_at` (datetime, required, nullable)
- `contact_id` (string, required, nullable)
- `created_by` (string, required, nullable)
- `date_created` (datetime, required)
- `date_updated` (datetime, required)
- `form_configuration_id` (string, required)
- `form_id` (string, required)
- `id` (string, required)
- `ip_address` (string, required, nullable)
- `lead_id` (string, required, nullable)
- `organization_id` (string, required)
- `origin` (string, required, nullable)
- `source_url` (string, required, nullable)
- `source_url_normalized` (string, required, nullable)
- `updated_by` (string, required, nullable)
- `user_id` (string, required, nullable)
- `users` (list of string, required)
- `values` (map from string to string or boolean, required)
- `values_by_name` (map from string to string or boolean, required)
- `created_by_name` (string, optional, nullable)
- `form_name` (string, optional, nullable)
- `updated_by_name` (string, optional, nullable)
- `user_name` (string, optional, nullable)

## Examples

**Response**

```json
{
  "_type": "FormSubmission",
  "activity_at": "2025-01-02T10:30:00.000000+00:00",
  "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
  "created_by": null,
  "date_created": "2025-01-02T10:30:00.000000+00:00",
  "date_updated": "2025-01-02T10:30:00.000000+00:00",
  "form_configuration_id": "formconf_0325NyQ1X3HplqjyP631at",
  "form_id": "form_0325NAK3KhCZ3EdJfDldRU",
  "id": "acti_j0fs4KP22Ngn68GE5kInEcC7JWsbJzXthV1A8WtyZEk",
  "ip_address": "192.168.1.100",
  "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "origin": "https://example.com",
  "source_url": "https://example.com/contact?utm_source=google&utm_campaign=demo",
  "source_url_normalized": "example.com/contact",
  "updated_by": null,
  "user_id": null,
  "users": [],
  "values": {
    "formfld_0325NAK2ePwMEBJrZZCk5F": "John Doe",
    "formfld_0325NAK2kjTXTUFwW4i01n": "john@example.com",
    "formfld_08slbL4D4wR3vOqf28RvhF": true
  },
  "values_by_name": {},
  "created_by_name": null,
  "updated_by_name": null,
  "user_name": null
}
```

**SDK Code**

```python activities.form_submissions_get_example
import requests

url = "https://api.close.com/api/v1/activity/form_submission/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript activities.form_submissions_get_example
const url = 'https://api.close.com/api/v1/activity/form_submission/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go activities.form_submissions_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/activity/form_submission/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby activities.form_submissions_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/activity/form_submission/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java activities.form_submissions_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/activity/form_submission/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php activities.form_submissions_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/activity/form_submission/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp activities.form_submissions_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/activity/form_submission/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```